## sedutil 1.20.0

=== linux/CLI/Makefile ===
#
#  There exist several targets which are by default empty and which can be 
#  used for execution of your targets. These targets are usually executed 
#  before and after some main targets. They are: 
#
#     .build-pre:              called before 'build' target
#     .build-post:             called after 'build' target
#     .clean-pre:              called before 'clean' target
#     .clean-post:             called after 'clean' target
#     .clobber-pre:            called before 'clobber' target
#     .clobber-post:           called after 'clobber' target
#     .all-pre:                called before 'all' target
#     .all-post:               called after 'all' target
#     .help-pre:               called before 'help' target
#     .help-post:              called after 'help' target
#
#  Targets beginning with '.' are not intended to be called on their own.
#
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
#  Available make variables:
#
#     CND_BASEDIR                base directory for relative paths
#     CND_DISTDIR                default top distribution directory (build artifacts)
#     CND_BUILDDIR               default top build directory (object files, ...)
#     CONF                       name of current configuration
#     CND_PLATFORM_${CONF}       platform name (current configuration)
#     CND_ARTIFACT_DIR_${CONF}   directory of build artifact (current configuration)
#     CND_ARTIFACT_NAME_${CONF}  name of build artifact (current configuration)
#     CND_ARTIFACT_PATH_${CONF}  path to build artifact (current configuration)
#     CND_PACKAGE_DIR_${CONF}    directory of package (current configuration)
#     CND_PACKAGE_NAME_${CONF}   name of package (current configuration)
#     CND_PACKAGE_PATH_${CONF}   path to package (current configuration)
#
# NOCDDL


# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin


# build
build: .build-post

.build-pre:
# Add your pre 'build' code here...
	../GitVersion.sh > ../Version.h
.build-post: .build-impl
# Add your post 'build' code here...
	${RM} ../Version.h

# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post: .clean-impl
# Add your post 'clean' code here...


# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...


# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...


# build tests
build-tests: .build-tests-post

.build-tests-pre:
# Add your pre 'build-tests' code here...

.build-tests-post: .build-tests-impl
# Add your post 'build-tests' code here...


# run tests
test: .test-post

.test-pre: build-tests
# Add your pre 'test' code here...

.test-post: .test-impl
# Add your post 'test' code here...


# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

# include project make variables
include nbproject/Makefile-variables.mk

=== debian/changelog ===
sedutil (1.20.0-2) unstable; urgency=medium

  * Add additional details to debian/copyright

 -- Jonathan McDowell <noodles@earth.li>  Thu, 11 Apr 2024 09:06:23 +0100

sedutil (1.20.0-1) unstable; urgency=medium

  * Initial release. (Closes: #825864)

 -- Jonathan McDowell <noodles@earth.li>  Thu, 04 Apr 2024 08:46:18 +0100

=== debian/control ===
Source: sedutil
Section: admin
Priority: optional
Maintainer: Jonathan McDowell <noodles@earth.li>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/Drive-Trust-Alliance/sedutil
Vcs-Browser: https://salsa.debian.org/debian/sedutil
Vcs-Git: https://salsa.debian.org/debian/sedutil.git
Rules-Requires-Root: no

Package: sedutil
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DTA sedutil Self encrypting drive software
 This is the Drive Trust Alliance tool for working with Self Encrypting Drives
 which conform to the TCG OPAL 2.00 standard.
 .
 The tool includes a Pre-Boot Authorization image to unlock the drive
 independently of the BIOS functions.

## sedutil 1.49.13

=== debian/changelog ===
sedutil (1.49.13-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.49.13 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Aug 2025 21:03:24 +0200

sedutil (1.49.6-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.49.6 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 15 Jan 2025 15:26:11 +0200

sedutil (1.49.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.49.4 release
  * Add the libnvme-dev package as package required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 19 Nov 2024 01:30:47 +0200

sedutil (1.49.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.49.1 release
  * Add the libsystemd-dev package as depend to build
  * Drop the i386 support

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 10 May 2024 01:53:41 +0200

sedutil (1.20.0-1kaisen) kaisen-packages; urgency=medium

  * Initial release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 12 Apr 2023 15:28:29 +0200

=== debian/control ===
Source: sedutil
Section: utils
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 autotools-dev,
 dh-autoreconf,
 libsystemd-dev,
 libnvme-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/Drive-Trust-Alliance/sedutil
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/sedutil
Vcs-Git: https://gitlab.com/kaisenlinux/packages/sedutil.git

Package: sedutil
Architecture: amd64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: DTA sedutil Self encrypting drive software

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf  --buildsystem=autoconf
